<?xml version="1.0" encoding="UTF-8"?>

<!-- FAX.xsl verison 1.0.0.1 -->

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fo="http://www.w3.org/1999/XSL/Format" exclude-result-prefixes="fo">
  <xsl:output method="xml" version="1.0" omit-xml-declaration="no" indent="yes"/>

  <!-- ========================= -->
  <!-- root element: xmlroottag  -->
  <!-- ========================= -->
  <xsl:template match="xmlroottag">

    <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
      <fo:layout-master-set>
        <fo:simple-page-master 
            master-name="simpleA4" 
            page-height="29.7cm" 
            page-width="21cm" 
            margin-top="0.5cm"
            margin-bottom=".5cm"
            margin-left="1.5cm"
            margin-right="1.5cm">

          <fo:region-body margin-top="1cm" margin-bottom="1cm"/>
          <fo:region-before region-name="myHeader" extent="2.0cm"/>
          <fo:region-after region-name="myFooter" extent="1.5cm"/>

        </fo:simple-page-master>
      </fo:layout-master-set>

      <fo:page-sequence 
          master-reference="simpleA4"
          initial-page-number="1">

        <fo:static-content flow-name="myFooter">
          <fo:block font-family="Helvetica"  text-align="left" font-size="7pt" color="black">
          __________________________________________________________________________________________________________________________________
          </fo:block>
          <fo:block font-family="Helvetica"  text-align="left" font-size="7pt" color="gray">
                We deliver the most interesting data which can be considered almost factual.
          </fo:block>
        </fo:static-content>

        <fo:static-content flow-name="myHeader">
          <fo:block font-family="Helvetica" font-size="20pt" color="blue" text-align="center" >
                Acme Data Delivery Services Inc.
          <fo:block font-family="Helvetica"  text-align="left" font-size="7pt" color="black" >
          __________________________________________________________________________________________________________________________________
          </fo:block>
          </fo:block>
        </fo:static-content>

        <fo:flow flow-name="xsl-region-body">

          <fo:block font-size="16pt" font-weight="bold" space-after="2mm" space-before="5mm" >List of <xsl:value-of select="/xmlroottag/listtype"/>
          </fo:block>

          <fo:block font-size="10pt">

              <fo:table table-layout="fixed" width="12cm">
                  <fo:table-column column-width="proportional-column-width(80)" />
                  <fo:table-column column-width="proportional-column-width(20)" />
                  <fo:table-body>

                     <xsl:apply-templates />

                  </fo:table-body>
              </fo:table>


          <fo:block space-before="5mm">
		thats all folks!
          </fo:block>

          </fo:block>
        </fo:flow>

      </fo:page-sequence>


     </fo:root>
</xsl:template>


<xsl:template match="person">
    <fo:table-row >
       <fo:table-cell border-collapse="collapse" border-style="solid" border-width=".1mm" text-align="left" padding="1mm" >

           <fo:block font-family="Helvetica" font-size="10pt" >
            <fo:table table-layout="fixed" width="100%" >
              <fo:table-column column-width="proportional-column-width(100)" />
              <fo:table-body>
                  <fo:table-row>
                    <fo:table-cell padding=".1mm">

                        <fo:block font-family="Courier" font-weight="bold" font-size="6pt" > Name
                        </fo:block>

                    </fo:table-cell>
                  </fo:table-row>

                  <fo:table-row>
                    <fo:table-cell padding=".1mm">

                        <fo:block>
                        <xsl:value-of select="first"/>
                        <xsl:value-of select="last"/>
                        </fo:block>

                    </fo:table-cell>
                  </fo:table-row>
              </fo:table-body>
            </fo:table>
           </fo:block>

       </fo:table-cell >
       <fo:table-cell border-collapse="collapse" border-style="solid" border-width=".1mm" text-align="left" padding="1mm" >

           <fo:block font-family="Helvetica" font-size="10pt" >
            <fo:table table-layout="fixed" width="100%" >
              <fo:table-column column-width="proportional-column-width(100)" />
              <fo:table-body>
                  <fo:table-row>
                    <fo:table-cell padding=".1mm">

                        <fo:block font-family="Courier" font-weight="bold" font-size="6pt" > Party
                        </fo:block>

                    </fo:table-cell>
                  </fo:table-row>

                  <fo:table-row>
                    <fo:table-cell padding=".1mm">

                        <fo:block>
                        <xsl:value-of select="party"/>
                        </fo:block>

                    </fo:table-cell>
                  </fo:table-row>
              </fo:table-body>
            </fo:table>
           </fo:block>

       </fo:table-cell >
    </fo:table-row >
</xsl:template>

<xsl:template match="listtype">
</xsl:template>

</xsl:stylesheet>

